﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DataTransfer;

namespace DataAccessLayer
{
    public class CustomerDataProvider : GenericDataProvider<Customer>
    {

        /// <summary>
        /// Initializes a new instance of the CustomerDataProvider class.
        /// </summary>
        public CustomerDataProvider(NHibernate.ISession session) : base(session)
        {
        }

        public IList<Customer> GetCustomerByFirstname(string firstname)
        {
            NHibernate.Expression.DetachedCriteria firstnameCriteria = NHibernate.Expression.DetachedCriteria.For<Customer>()
               .Add(NHibernate.Expression.Expression.Eq("Name.Firstname", firstname));

            return Find(firstnameCriteria);
   
        }
    }
}
